
From: Christoph Hellwig <hch@lst.de>

Let's try to reduce the number of hand-crafted LFS checks

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/udf/file.c |   22 +---------------------
 1 files changed, 1 insertion(+), 21 deletions(-)

diff -puN fs/udf/file.c~use-generic_file_open-in-udf fs/udf/file.c
--- 25/fs/udf/file.c~use-generic_file_open-in-udf	2004-10-21 20:56:44.533211520 -0700
+++ 25-akpm/fs/udf/file.c	2004-10-21 20:56:44.537210912 -0700
@@ -254,30 +254,10 @@ static int udf_release_file(struct inode
 	return 0;
 }
 
-/*
- * udf_open_file
- *
- * PURPOSE
- *  Called when an inode is about to be open.
- *
- * DESCRIPTION
- *  Use this to disallow opening RW large files on 32 bit systems.
- *  On 64 bit systems we force on O_LARGEFILE in sys_open.
- *
- * HISTORY
- *
- */
-static int udf_open_file(struct inode * inode, struct file * filp)
-{
-	if ((inode->i_size & 0xFFFFFFFF80000000ULL) && !(filp->f_flags & O_LARGEFILE))
-		return -EFBIG;
-	return 0;
-}
-
 struct file_operations udf_file_operations = {
 	.read			= generic_file_read,
 	.ioctl			= udf_ioctl,
-	.open			= udf_open_file,
+	.open			= generic_file_open,
 	.mmap			= generic_file_mmap,
 	.write			= udf_file_write,
 	.release		= udf_release_file,
_
